\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - dD Geometry Kernel

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
List of all members | Classes | Public Member Functions
CGAL::Epick_d< DimensionTag > Class Template Reference
Kernels

`#include <CGAL/Epick_d.h>`

## Definition

A model for `Kernel_d` that uses Cartesian coordinates to represent the geometric objects.

This kernel is default constructible and copyable. It does not carry any state so it is possible to use objects created by one instance with functors created by another one.

This kernel supports construction of points from `double` Cartesian coordinates. It provides exact geometric predicates, but the geometric constructions are not guaranteed to be exact. The geometric predicates are made exact without sacrificing speed thanks to the use of filters.

Template Parameters

  DimensionTag | is a tag representing the dimension of the ambient Euclidean space. It may be either `Dimension_tag<d>` where `d` is an integer or `Dynamic_dimension_tag`. In the latter case, the dimension of the space is specified for each point when it is constructed, so it does not need to be known at compile-time.

Attention
  Only the interfaces specific to this class are listed below. Refer to the concepts for the rest.
  Known bugs: the functor `Intersect_d` is not yet implemented. `Contained_in_affine_hull` assumes that the iterators refer to an affinely independent family. `Orientation_d` only works for points, not vectors.
  Ancient compilers like gcc-4.2 or icc 14 are not supported, but gcc-4.4 and icc 15 work.
  This kernel requires the Eigen library.

Is Model Of:

  `Kernel_d`

  `DelaunayTriangulationTraits`

See Also
  `CGAL::Cartesian_d<FieldNumberType>`
  `CGAL::Homogeneous_d<RingNumberType>`

## Classes
struct | Compute_squared_radius_d
struct | Construct_circumcenter_d
class | Point_d
| represents a point in the Euclidean space More...
struct | Side_of_bounded_sphere_d

## Public Member Functions
Construct_circumcenter_d | construct_circumcenter_d_object ()
Compute_squared_radius_d | compute_squared_radius_d_object ()